/*
 * Licensed Materials - Property of IBM
 * 5724-L17 WebSphere Premises Server
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */

//
// Converts date string d of format string f into a 
// yyyy-MM-dd format
//
function normalizeDate(d, f) {
	// check if date is already in yyyy-MM-dd format
	if (f == "yyyy-MM-dd") {
		return d;
	}
	
	// extract year
	year = "";
	for (i=0; i<f.length; i++) {
		if (f.charAt(i) == "y") {
			year += d.charAt(i);
		}
	}

	// extract month
	month = "";
	for (i=0; i<f.length; i++) {
		if (f.charAt(i) == "M") {
			month += d.charAt(i);
		}
	}

	// extract day
	day = "";
	for (i=0; i<f.length; i++) {
		if (f.charAt(i) == "d") {
			day += d.charAt(i);
		}
	}

	result = year + "-" + month + "-" + day;
	return result;
}