<%
/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@page import="
	java.util.Iterator,
	java.util.List,
	com.ibm.sensorevent.persistence.sample.java.Utils
	" %>
<HTML>
<HEAD>
<LINK rel="stylesheet" href="theme/Master.css" type="text/css">
<SCRIPT language="JavaScript" src="js/utils.js"></SCRIPT>
<TITLE>Source History</TITLE>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">

<%
StringBuffer options = new StringBuffer();
List locations = Utils.singleton().getDistinctSourceNames();
for (Iterator i=locations.iterator(); i.hasNext(); ) {
	String sourceName = (String) i.next();
	options.append("<OPTION>" + sourceName + "</OPTION>\n");
}
%>

</HEAD>
<BODY>

<H1>Source History</H1>

<FORM method="post" name="sourceHistoryForm" action="/sample_persistence_web/UIHandler">
<INPUT type="hidden" name="report" value="sample_persistence/source_history.rptdesign">
<TABLE>
<TR>
	<TH align="left"><LABEL for="sourceName">Source:</LABEL></TH>
	<TD>
		<SELECT name="sourceName" id="sourceName" size="1">
		<%=options%>
		</SELECT>
	</TD>
</TR>
<TR>
	<TD colspan="2">
		<BR>
		<INPUT type="submit" name="_submit" id="_submit" value="Submit">
	</TD>
</TR>
</TABLE>
</FORM>

</BODY>
</HTML>